
***  file  =  C:\PANAMA08\Consumo\02educacion_salud_08.SPS     .

***Corrido con SPSS 17 en:  1  minutos  30 segundos  .

***Gastos en Educacion.



get file 'C:\PANAMA08\DATOS\04PERSONA.sav'.

WEIGHT  OFF.

***  Recodificando valores perdidos  .

recode s5p3c s5p4b s5p5b s5p6b s5p7b s5p8c s5p9c s5p10b s5p27c s5p29a s5p29b s5p29c s5p29d s5p29e s5p29f s5p30b s5p31b  (99999.99 9999.99 999.99 9997 99.97 999.7 999.97=sysmis).
exe.

recode s5p34b s5p35b s5p36c s5p37c s5p38b s5p39b s5p42b s5p44b s5p53 (99999.99 9999.99 999.99 9997 99.97 999.7 999.97=sysmis).
EXECUTE .


comp anual=sum(s5p29a,s5p29b,s5p29c,s5p29d,s5p29e).
exe.

************Identificando y reemplazando valores extremos.

if (s5p2>=1 & s5p2<=5) gestion1=1.
if (s5p2>=6 & s5p2<=8) gestion1=2.
compute gestion2=s5p24.
exe.
*freq s5p21a.

if (s5p21a>=1 & s5p21a<=3) nivel=1.
if (s5p21a>=4 & s5p21a<=6) nivel=2.
if (s5p21a>=7 & s5p21a<=9) nivel=s5p21a.
if (s5p21a>=10 & s5p21a<=12) nivel=4.
exe.

**************************.

comp filt=((gestion1=1 or gestion1=2) &(s5p3b=1 or s5p3b=2) & s5p3c<=6).
filter by filt.
exe.
AGGREGATE
  /OUTFILE='C:\PANAMA08\Consumo\aggr.sav'
  /BREAK=area prov gestion1 s5p3a
  /g_s5p3c=median(s5p3c).	 
AGGREGATE
  /OUTFILE='C:\PANAMA08\Consumo\aggr1.sav'
  /BREAK=area s5p3a
  /g1_s5p3c=median(s5p3c).
sort cases by area prov gestion1 s5p3a.
MATCH FILES /FILE=* /table='C:\PANAMA08\Consumo\aggr.sav'  /BY area prov gestion1 s5p3a.
sort cases by area s5p3a.
MATCH FILES /FILE=* /table='C:\PANAMA08\Consumo\aggr1.sav'  /BY area s5p3a.
exe.

if (g_s5p3c=0 or missing(g_s5p3c)=1) g_s5p3c=g1_s5p3c.
exe.
comp filt=((gestion1=1 or gestion1=2) &(s5p3b=3)&s5p3c<=12).
filter by filt.
exe.
AGGREGATE
  /OUTFILE='C:\PANAMA08\Consumo\aggr2.sav'
  /BREAK=area prov gestion1 s5p3a
  /g_s5p3c3=median(s5p3c).	 
AGGREGATE
  /OUTFILE='C:\PANAMA08\Consumo\aggr3.sav'
  /BREAK=area s5p3a
  /g1s5p3c3=median(s5p3c).
filter off.
sort cases by area prov gestion1 s5p3a.
MATCH FILES /FILE=* /table='C:\PANAMA08\Consumo\aggr2.sav'  /BY area prov gestion1 s5p3a.
sort cases by area s5p3a.
MATCH FILES /FILE=* /table='C:\PANAMA08\Consumo\aggr3.sav'  /BY area s5p3a.
exe.
if (g_s5p3c=0 or missing(g_s5p3c)=1) g_s5p3c=g_s5p3c3.
if (g_s5p3c=0 or missing(g_s5p3c)=1) g_s5p3c=g1s5p3c3.
exe.

**************************.

filter off.
AGGREGATE
  /OUTFILE='C:\PANAMA08\Consumo\aggr4.sav'
  /BREAK=area prov gestion1
  /g_s5p4b=median(s5p4b)	  /g_s5p8c=median(s5p8c)	  /g_s5p10b=median(s5p10b).
AGGREGATE
  /OUTFILE='C:\PANAMA08\Consumo\aggr5.sav'
  /BREAK=area gestion1 
  /g1_s5p4b=median(s5p4b)	  /g1_s5p8c=median(s5p8c)	  /g1s5p10b=median(s5p10b).
sort cases by area prov gestion1.
MATCH FILES /FILE=* /table='C:\PANAMA08\Consumo\aggr4.sav'  /BY area prov gestion1.
sort cases by area gestion1.
MATCH FILES /FILE=* /table='C:\PANAMA08\Consumo\aggr5.sav'  /BY area gestion1.
exe.
if (g_s5p4b=0 or missing(g_s5p4b)=1) g_s5p4b=g1_s5p4b.
if (g_s5p8c=0 or missing(g_s5p8c)=1) g_s5p8c=g1_s5p8c.
if (g_s5p10b=0 or missing(g_s5p10b)=1) g_s5p10b=g1s5p10b.
exe.
**********************.
comp filt=((gestion2=1 or gestion2=2) &(s5p27b=1) & s5p27c<=6).
filter by filt.
exe.
AGGREGATE
  /OUTFILE='C:\PANAMA08\Consumo\aggr6.sav'
  /BREAK=area prov gestion2 nivel s5p27a
  /g_s5p27c=median(s5p27c).
AGGREGATE
  /OUTFILE='C:\PANAMA08\Consumo\aggr7.sav'
  /BREAK=area nivel s5p27a
  /g1s5p27c=median(s5p27c).
sort cases by area prov gestion2 nivel s5p27a.
MATCH FILES /FILE=* /table='C:\PANAMA08\Consumo\aggr6.sav'  /BY area prov gestion2 nivel s5p27a.
sort cases by area nivel s5p27a.
MATCH FILES /FILE=* /table='C:\PANAMA08\Consumo\aggr7.sav'  /BY area nivel s5p27a.
exe.
if (g_s5p27c=0 or missing(g_s5p27c)=1) g_s5p27c=g1s5p27c.
exe.
comp filt=((gestion2=1 or gestion2=2) &(s5p27b=2) & s5p27c<=10).
filter by filt.
exe.
AGGREGATE
  /OUTFILE='C:\PANAMA08\Consumo\aggr8.sav'
  /BREAK=area prov gestion2 nivel s5p27a
  /hs5p27c2=median(s5p27c).
AGGREGATE
  /OUTFILE='C:\PANAMA08\Consumo\aggr9.sav'
  /BREAK=area nivel s5p27a
  /gs5p27c2=median(s5p27c).
filter off.
sort cases by area prov gestion2 nivel s5p27a.
MATCH FILES /FILE=* /table='C:\PANAMA08\Consumo\aggr8.sav'  /BY area prov gestion2 nivel s5p27a.
sort cases by area nivel s5p27a.
MATCH FILES /FILE=* /table='C:\PANAMA08\Consumo\aggr9.sav'  /BY area nivel s5p27a.
exe.
if (g_s5p27c=0 or missing(g_s5p27c)=1) g_s5p27c=hs5p27c2.
if (g_s5p27c=0 or missing(g_s5p27c)=1) g_s5p27c=gs5p27c2.
exe.
comp filt=((gestion2=1 or gestion2=2) &(s5p27b=3) & s5p27c<=16).
filter by filt.
exe.
AGGREGATE
  /OUTFILE='C:\PANAMA08\Consumo\aggr10.sav'
  /BREAK=area prov gestion2 nivel s5p27a
  /hs5p27c3=median(s5p27c).
AGGREGATE
  /OUTFILE='C:\PANAMA08\Consumo\aggr11.sav'
  /BREAK=area nivel s5p27a
  /gs5p27c3=median(s5p27c).
filter off.
sort cases by area prov gestion2 nivel s5p27a.
MATCH FILES /FILE=* /table='C:\PANAMA08\Consumo\aggr10.sav'  /BY area prov gestion2 nivel s5p27a.
sort cases by area nivel s5p27a.
MATCH FILES /FILE=* /table='C:\PANAMA08\Consumo\aggr11.sav'  /BY area nivel s5p27a.
exe.
if (g_s5p27c=0 or missing(g_s5p27c)=1) g_s5p27c=hs5p27c3.
if (g_s5p27c=0 or missing(g_s5p27c)=1) g_s5p27c=gs5p27c3.
execute .


********************** . 

comp filt=((s5p21a>=4 & s5p21a<=6)&s5p24=2&s5p36c<300).
filter by filt.
exe.
AGGREGATE
  /OUTFILE='C:\PANAMA08\Consumo\aggr12.sav'
  /BREAK=area prov gestion2 nivel
  /g_s5p36c=median(s5p36c).
AGGREGATE
  /OUTFILE='C:\PANAMA08\Consumo\aggr13.sav'
  /BREAK=area nivel
  /g1s5p36c=median(s5p36c).
sort cases by area prov gestion2 nivel.
MATCH FILES /FILE=* /table='C:\PANAMA08\Consumo\aggr12.sav'  /BY area prov gestion2 nivel.
sort cases by area nivel.
MATCH FILES /FILE=* /table='C:\PANAMA08\Consumo\aggr13.sav'  /BY area nivel.
exe.
if (g_s5p36c=0 or missing(g_s5p36c)=1) g_s5p36c=g1s5p36c.
exe.

comp filt=((s5p21a>=7 & s5p21a<=9)&s5p39b<500).
filter by filt.
exe.
AGGREGATE
  /OUTFILE='C:\PANAMA08\Consumo\aggr14.sav'
  /BREAK=area prov gestion2 nivel
  /g_s5p39b=median(s5p39b).
AGGREGATE
  /OUTFILE='C:\PANAMA08\Consumo\aggr15.sav'
  /BREAK=area nivel
  /g1s5p39b=median(s5p39b).
sort cases by area prov gestion2 nivel.
MATCH FILES /FILE=* /table='C:\PANAMA08\Consumo\aggr14.sav'  /BY area prov gestion2 nivel.
sort cases by area nivel.
MATCH FILES /FILE=* /table='C:\PANAMA08\Consumo\aggr15.sav'  /BY area nivel.
exe.
if (g_s5p39b=0 or missing(g_s5p39b)=1) g_s5p39c=g1s5p39b.
exe.

filter off.
AGGREGATE
  /OUTFILE='C:\PANAMA08\Consumo\aggr16.sav'
  /BREAK=area prov gestion2 nivel
  /g_anual=median(anual).
AGGREGATE
  /OUTFILE='C:\PANAMA08\Consumo\aggr17.sav'
  /BREAK=area nivel
  /g1_anual=median(anual).
sort cases by area prov gestion2 nivel.
MATCH FILES /FILE=* /table='C:\PANAMA08\Consumo\aggr16.sav'  /BY area prov gestion2 nivel.
sort cases by area nivel.
MATCH FILES /FILE=* /table='C:\PANAMA08\Consumo\aggr17.sav'  /BY area nivel.
exe.
if (g_anual=0 or missing(g_anual)=1) g_anual=g1_anual.
exe.
******************************************************************.
******************************************************************.
******************************************************************.
filter off.
if (s5p3c<=6 & s5p3b=1) s5p3c_p=s5p3c .
if (s5p3c<=6 & s5p3b=2) s5p3c_p=s5p3c .
if (s5p3c<=12 & s5p3b=3) s5p3c_p=s5p3c .
if (s5p3c>6 & s5p3b=1)or(s5p3c>6 & s5p3b=2)or(s5p3c>12 & s5p3b=3) s5p3c_p=g_s5p3c .
exe.
if ((s5p2>=1&s5p2<=4)&s5p4b<100) s5p4b_p=s5p4b .
if ((s5p2=5) & s5p4b<165) s5p4b_p=s5p4b .
if ((s5p2=5) & s5p4b=165) s5p4b_p=34 .
if ((s5p2>=6&s5p2<=8) & s5p4b<=400) s5p4b_p=s5p4b .
if (((s5p2>=1&s5p2<=4)&s5p4b>=100) or ((s5p2>=6&s5p2<=8) & s5p4b>400)) s5p4b_p=g_s5p4b.
exe.

if (s5p5b<=200) s5p5b_p=s5p5b.
if (s5p5b>200) s5p5b_p=200.

if (s5p6b<=200) s5p6b_p=s5p6b.
if (s5p6b>200) s5p6b_p=200.

comp s5p7b_p=s5p7b.
exe.

if ((s5p2>=1 & s5p2<=4) & s5p8c<400) s5p8c_p=s5p8c.
if (s5p2=5) s5p8c_p=s5p8c.
if ((s5p2>=6 & s5p2<=8) & s5p8c<250) s5p8c_p=s5p8c.
if (((s5p2>=1 & s5p2<=4) & s5p8c>=400)or((s5p2>=6 & s5p2<=8) & s5p8c>=250)) s5p8c_p=g_s5p8c.
exe.

comp s5p9c_p=s5p9c.

if (s5p10b<=100) s5p10b_p=s5p10b.
if (s5p10b>100) s5p10b_p=g_s5p10b.

if (s5p27b=1 & s5p27c<=6) s5p27c_p=s5p27c.
if (s5p27b=2 & s5p27c<=10) s5p27c_p=s5p27c.
if (s5p27b=3 & s5p27c<=16) s5p27c_p=s5p27c.
if (s5p27b=1 & s5p27c>6)or(s5p27b=2 & s5p27c>10)or(s5p27b=3 & s5p27c>16) s5p27c_p=g_s5p27c.
exe.
**********************************************************************.
if (s5p21a=1 or s5p21a=2) anual_p=anual.
if (s5p21a=3 & s5p24=2 & anual<=400) anual_p=anual.
if (s5p21a=3 & s5p24=2 & anual>400) anual_p=g_anual.
if (s5p21a=3 & s5p24=1 & anual<=25) anual_p=anual.
if (s5p21a=3 & s5p24=1 & anual>25) anual_p=25.
if (s5p21a=4 & s5p24=2 & anual<=600) anual_p=anual.
if (s5p21a=4 & s5p24=2 & anual>600) anual_p=600.
if (s5p21a=4 & s5p24=1 & anual<=60) anual_p=anual.
if (s5p21a=4 & s5p24=1 & anual>60) anual_p=60.
if (s5p21a=5 & s5p24=2 & anual<=880)  anual_p=anual.
if (s5p21a=5 & s5p24=2 & anual=4800)  anual_p=2200.
if (s5p21a=5 & s5p24=1 & anual<=60) anual_p=anual.
if (s5p21a=5 & s5p24=1 & anual>60) anual_p=60.
if (s5p21a=6 or s5p21a=7) anual_p=anual.
if (s5p21a=8 & anual<2500) anual_p=anual.
if (s5p21a=8 & anual>=2500) anual_p=g_anual.
if (s5p21a>=9 & s5p21a<=12) anual_p=anual.
comp s5p29f_p=s5p29f.
exe.

if ((s5p21a>=1 &s5p21a<=3)&s5p24=2) s5p30b_p=s5p30b.
if ((s5p21a>=1 &s5p21a<=3)&s5p24=1&s5p30b<=150) s5p30b_p=s5p30b.
if ((s5p21a>=1 &s5p21a<=3)&s5p24=1&s5p30b>150) s5p30b_p=150.
if ((s5p21a>=4 &s5p21a<=6)&s5p24=2) s5p30b_p=s5p30b.
if ((s5p21a>=4 &s5p21a<=6)&s5p24=1&s5p30b<=200) s5p30b_p=s5p30b.
if ((s5p21a>=4 &s5p21a<=6)&s5p24=1&s5p30b>200) s5p30b_p=200.
if (s5p21a>=7 &s5p21a<=9) s5p30b_p=s5p30b.
if (s5p21a>=10 & s5p21a<=12)  s5p30b_p=s5p30b.
exe.
if ((s5p21a>=1 & s5p21a<=3)& s5p24=2 ) s5p31b_p=s5p31b.
if ((s5p21a>=1 & s5p21a<=3)& s5p24=1& s5p31b<=200) s5p31b_p=s5p31b.
if ((s5p21a>=1 & s5p21a<=3)& s5p24=1& s5p31b>200) s5p31b_p=200.
if ((s5p21a>=4 & s5p21a<=6)& s5p24=2& s5p31b<=500) s5p31b_p=s5p31b.
if ((s5p21a>=4 & s5p21a<=6)& s5p24=2& s5p31b>500) s5p31b_p=500.
if ((s5p21a>=4 & s5p21a<=6)& s5p24=1) s5p31b_p=s5p31b.
if (s5p21a>=7 & s5p21a<=9) s5p31b_p=s5p31b.
if (s5p21a>=10 & s5p21a<=12) s5p31b_p=s5p31b.
exe.

if ((s5p21a>=1 & s5p21a<=3)& s5p24=2 & s5p34b<=250) s5p34b_p=s5p34b.
if ((s5p21a>=1 & s5p21a<=3)& s5p24=2 & s5p34b>250) s5p34b_p=250.
if ((s5p21a>=1 & s5p21a<=3)& s5p24=1 & s5p34b<=150) s5p34b_p=s5p34b.
if ((s5p21a>=1 & s5p21a<=3)& s5p24=1 & s5p34b>150) s5p34b_p=150.
if ((s5p21a>=4 & s5p21a<=6)& s5p24=2 & s5p34b<=300) s5p34b_p=s5p34b.
if ((s5p21a>=4 & s5p21a<=6)& s5p24=2 & s5p34b>300) s5p34b_p=300.
if ((s5p21a>=4 & s5p21a<=6)& s5p24=1) s5p34b_p=s5p34b.
if ((s5p21a>=7 & s5p21a<=9) & s5p34b<=500) s5p34b_p=s5p34b.
if ((s5p21a>=7 & s5p21a<=9) & s5p34b>500) s5p34b_p=500.
if (s5p21a>=10 & s5p21a<=12) s5p34b_p=s5p34b.
exe.

if (s5p21a>=1 & s5p21a<=3) s5p35b_p=s5p35b.
if ((s5p21a>=4 & s5p21a<=6)& s5p24=2) s5p35b_p=s5p35b.
if ((s5p21a>=4 & s5p21a<=6)& s5p24=1&s5p35b<=150) s5p35b_p=s5p35b.
if ((s5p21a>=4 & s5p21a<=6)& s5p24=1&s5p35b>150) s5p35b_p=150.
if (s5p21a>=7 & s5p21a<=9) s5p35b_p=s5p35b.
if (s5p21a>=10 & s5p21a<=12) s5p35b_p=s5p35b.
exe.

if (s5p21a>=1 & s5p21a<=3) s5p36c_p=s5p36c.
if ((s5p21a>=4 & s5p21a<=6)& s5p24=2 & s5p36c<=400) s5p36c_p=s5p36c.
if ((s5p21a>=4 & s5p21a<=6)& s5p24=2 & s5p36c>400) s5p36c_p=g_s5p36c.
if (s5p21a>=7 & s5p21a<=9) s5p36c_p=s5p36c.
*10, 11, 12 no pagan.
exe.

if ((s5p21a>=1 & s5p21a<=3)& s5p24=2) s5p37c_p=s5p37c.
if ((s5p21a>=1 & s5p21a<=3)& s5p24=1 &s5p37c<=100) s5p37c_p=s5p37c.
if ((s5p21a>=1 & s5p21a<=3)& s5p24=1 &s5p37c>100) s5p37c_p=100.
if ((s5p21a>=4 & s5p21a<=6)& s5p24=2) s5p37c_p=s5p37c.
if ((s5p21a>=4 & s5p21a<=6)& s5p24=1 &s5p37c<=150) s5p37c_p=s5p37c.
if ((s5p21a>=4 & s5p21a<=6)& s5p24=1 &s5p37c>150) s5p37c_p=150.
if ((s5p21a>=7 & s5p21a<=9)& s5p24=2) s5p37c_p=s5p37c.
if ((s5p21a>=7 & s5p21a<=9)& s5p24=1&s5p37c<=180) s5p37c_p=s5p37c.
if ((s5p21a>=7 & s5p21a<=9)& s5p24=1&s5p37c>180) s5p37c_p=180.
if (s5p21a>=10&s5p21a<=12) s5p37c_p=s5p37c.
exe.

if ((s5p21a>=1 & s5p21a<=3)& s5p24=2 & s5p38b<=100) s5p38b_p=s5p38b.
if ((s5p21a>=1 & s5p21a<=3)& s5p24=2 & s5p38b>100) s5p38b_p=100.
if ((s5p21a>=1 & s5p21a<=3)& s5p24=1 & s5p38b<=60) s5p38b_p=s5p38b.
if ((s5p21a>=1 & s5p21a<=3)& s5p24=1 & s5p38b>60) s5p38b_p=60.
if ((s5p21a>=4 & s5p21a<=6)& s5p24=2 & s5p38b<=100) s5p38b_p=s5p38b.
if ((s5p21a>=4 & s5p21a<=6)& s5p24=2 & s5p38b>100) s5p38b_p=100.
if ((s5p21a>=4 & s5p21a<=6)& s5p24=1 & s5p38b<=60) s5p38b_p=s5p38b.
if ((s5p21a>=4 & s5p21a<=6)& s5p24=1 & s5p38b>60) s5p38b_p=60.
if ((s5p21a>=7 & s5p21a<=9)& s5p38b<=100) s5p38b_p=s5p38b.
if ((s5p21a>=7 & s5p21a<=9)& s5p38b>100) s5p38b_p=100.
if (s5p21a>=10 & s5p21a<=12) s5p38b_p=s5p38b.
exe.

if ((s5p21a>=1 & s5p21a<=3)& s5p24=2 & s5p39b<=80) s5p39b_p=s5p39b.
if ((s5p21a>=1 & s5p21a<=3)& s5p24=2 & s5p39b>80) s5p39b_p=80.
if ((s5p21a>=1 & s5p21a<=3)& s5p24=1 & s5p39b<=60) s5p39b_p=s5p39b.
if ((s5p21a>=1 & s5p21a<=3)& s5p24=1 & s5p39b>60) s5p39b_p=60.
if ((s5p21a>=4 & s5p21a<=6)& s5p39b<=60) s5p39b_p=s5p39b.
if ((s5p21a>=4 & s5p21a<=6)& s5p39b>60) s5p39b_p=60.
if ((s5p21a>=7 & s5p21a<=9)& s5p39b<500) s5p39b_p=s5p39b.
if ((s5p21a>=7 & s5p21a<=9)& s5p39b>=500) s5p39b_p=g_s5p39b.
if(s5p21a>=10&s5p21a<=12) s5p39b_p=s5p39b.
exe.

if (s5p21a>=1 & s5p21a<=3) s5p42b_p=s5p42b.
if (s5p21a>=4 & s5p21a<=6 & s5p42b<1080) s5p42b_p=s5p42b.
if (s5p21a>=4 & s5p21a<=6 & s5p42b=1080) s5p42b_p=540.
if (s5p21a>=7 & s5p21a<=9) s5p42b_p=s5p42b.
if (s5p21a>=10 & s5p21a<=12) s5p42b_p=s5p42b.
exe.

if (s5p21a>=1 & s5p21a<=3) s5p44b_p=s5p44b.
if (s5p21a>=4 & s5p21a<=6 & s5p24=2) s5p44b_p=s5p44b.
if (s5p21a>=4 & s5p21a<=6 & s5p24=1 & s5p44b<=21) s5p44b_p=s5p44b.
if (s5p21a>=4 & s5p21a<=6 & s5p24=1 & s5p44b>21) s5p44b_p=21.
if (s5p21a>=7 & s5p21a<=9 & s5p24=2 & s5p44b<=1000) s5p44b_p=s5p44b.
if (s5p21a>=7 & s5p21a<=9 & s5p24=2 & s5p44b>1000) s5p44b_p=1000.
if (s5p21a>=7 & s5p21a<=9 & s5p24=1) s5p44b_p=s5p44b.
if (s5p21a>=10&s5p21a<=12) s5p44b_p=s5p44b.
exe.
comp s5p53_p=s5p53.
exe.

***********Agregacion de gastos de alimentos y educacion corregida.

comp s5p3c_p1=s5p3c_p*4.3*8.5 .
comp s5p27c_p1=s5p27c_p*4.3*8.5 .
comp alim_edu=sum(s5p3c_p1,s5p27c_p1).
comp educ0=sum(s5p4b_p,s5p5b_p,s5p6b_p,s5p7b_p,anual_p,s5p29f_p,s5p30b_p,s5p31b_p,s5p34b_p,s5p35b_p,s5p42b_p,s5p44b_p).
exe.
comp temp0=sum(s5p8c_p,s5p9c_p,s5p10b_p,s5p36c_p,s5p37c_p,s5p38b_p,s5p39b_p).
comp educ1=temp0*8.5 .
exe.
comp educT=sum(educ0,educ1).
exe.
comp beca_ing=sum(s5p42b_p,s5p44b_p).
exe.

**********Generando archivos de agregado de educacion.
AGGREGATE
  /OUTFILE='C:\PANAMA08\Consumo\educa.sav'
  /BREAK=hogar
  /educT=sum(educT)
  /al_eduT=sum(alim_edu)
  /bec_ingT=sum(beca_ing).


get file 'C:\PANAMA08\Consumo\educa.sav'.

**********************************************************************************.

erase file 'C:\PANAMA08\Consumo\aggr.sav'.
erase file 'C:\PANAMA08\Consumo\aggr1.sav'.
erase file 'C:\PANAMA08\Consumo\aggr2.sav'.
erase file 'C:\PANAMA08\Consumo\aggr3.sav'.
erase file 'C:\PANAMA08\Consumo\aggr4.sav'.
erase file 'C:\PANAMA08\Consumo\aggr5.sav'.
erase file 'C:\PANAMA08\Consumo\aggr6.sav'.
erase file 'C:\PANAMA08\Consumo\aggr7.sav'.
erase file 'C:\PANAMA08\Consumo\aggr8.sav'.
erase file 'C:\PANAMA08\Consumo\aggr9.sav'.
erase file 'C:\PANAMA08\Consumo\aggr10.sav'.
erase file 'C:\PANAMA08\Consumo\aggr11.sav'.
erase file 'C:\PANAMA08\Consumo\aggr12.sav'.
erase file 'C:\PANAMA08\Consumo\aggr13.sav'.
erase file 'C:\PANAMA08\Consumo\aggr14.sav'.
erase file 'C:\PANAMA08\Consumo\aggr15.sav'.
erase file 'C:\PANAMA08\Consumo\aggr16.sav'.
erase file 'C:\PANAMA08\Consumo\aggr17.sav'.












*******************************************************************************************.
******************************************************************************************************.
****************************************************************** SALUD **************************.
******************************************************************************************************.

get file 'C:\PANAMA08\DATOS\04PERSONA.sav'.

WEIGHT   OFF.

recode s4p31a s4p31b s4p31c s4p31d s4p31e s4p31f s4p31g s4p31h (99999.99=sysmis).
recode s4p44a s4p44b s4p45a s4p45b s4p45c s4p46b s4p47b s4p48b s4p49b s4p50b s4p51b s4p52b s4p53a s4p53b (99999.99=sysmis).
exe.
if (s4p31d>=20 & missing(s4p31d)=0) s4p31d=20.
if (s4p44a>=300 & missing(s4p44a)=0) s4p44a=300.
if (s4p44b>=300 & missing(s4p44b)=0) s4p44b=300.
if (s4p45a>=300 & missing(s4p45a)=0) s4p45a=300.
if (s4p45c>=300 & missing(s4p45c)=0) s4p45c=300.
if (s4p50b>=600 & missing(s4p50b)=0) s4p50b=600.
if (s4p51b>=600 & missing(s4p51b)=0) s4p51b=600.
exe.

comp sal_nn=sum(s4p31a,s4p31b,s4p31c,s4p31d,s4p31f,s4p31g,s4p31h).
comp sal_mm=sum(s4p44a,s4p44b,s4p45a,s4p45b,s4p45c,s4p46b,s4p47b,s4p49b,s4p50b,s4p51b,s4p52b,s4p53a,s4p53b).
exe.
comp salud_p=sum(sal_nn,sal_mm).
exe.
comp uno=1.
exe.

comp filt=(s4p11a<=30).
filter by filt.
aggr / outfile='C:\PANAMA08\Consumo\aggrega18.sav' / break uno /s4p11a_m=median(s4p11a) .
comp filt=(s4p11b<=30).

filter by filt.
aggr / outfile='C:\PANAMA08\Consumo\aggrega19.sav' / break uno /s4p11b_m=median(s4p11b).
filter off.

sort cases by uno.
MATCH FILES /FILE=* /table='C:\PANAMA08\Consumo\aggrega18.sav'  /table='C:\PANAMA08\Consumo\aggrega19.sav' /BY uno.
exe.
if (s4p11a>30) s4p11a=s4p11a_m.
if (s4p11b>30) s4p11b=s4p11b_m.
exe.
comp salud_al=sum(s4p10a2*s4p11a,s4p10b2*s4p11b).
exe.

aggr / outfile='C:\PANAMA08\Consumo\salud_p.sav' / break hogar / salud_pT=sum(salud_p) /sal_alT=sum(salud_al).


***********************************************.

GET  FILE='C:\PANAMA08\Consumo\educa.sav'.


GET file 'C:\PANAMA08\Consumo\salud_p.sav'.
execute .

******************************************.

erase file 'C:\PANAMA08\Consumo\aggrega18.sav'.
erase file 'C:\PANAMA08\Consumo\aggrega19.sav'.
