***  file  =  C:\PANAMA08\DATOS\03_otros_gastos_08.SPS     .


***Corrido con SPSS 17 en:  0  minutos  25 segundos  .


*******************************************************Otros Gastos y alimentos fuera del hogar**************.
********************************************************************************************************************.
***********************************************************Para imputar pagos en transporte*******************.

get file 'C:\PANAMA08\DATOS\04PERSONA.sav'.
* 
exe.
WEIGHT   OFF.

****Preparando imputaciones*.

AGGREGATE
  /OUTFILE='C:\PANAMA08\Consumo\temp_sega.sav'
  /BREAK=hogar
  /gtiempo=SUM(s7p37)
  /area=first(area)
  /n_m=N.

get file 'C:\PANAMA08\Consumo\temp_sega.sav'.
comp filt=(gtiempo>0&missing(gtiempo)=0).
filter by filt.
exe.
RANK VARIABLES=gtiempo (A) by area
  /RANK
  /NTILES(10)
  /PRINT=YES
  /TIES=MEAN.
*freq Ns7p37.

save outfile 'C:\PANAMA08\Consumo\temp_seg1.sav' / keep hogar Ngtiempo n_m.

************************************************************.

get file 'C:\PANAMA08\DATOS\06GASTOSB1.sav'.
 
exe.
MATCH FILES /FILE=*
  /TABLE='C:\PANAMA08\Consumo\temp_seg1.sav'
  /BY  hogar.
***Gastos y articulos en servicios de consumo***.
*****************Recodificacion de missings.
recode s11b4 (99999.99=sysmis).
exe.
*****************imputacion de valores extremos.
comp filt=(s11b1_n=1 & s11b3=1).
filter by filt.
exe.
AGGREGATE
  /OUTFILE='C:\PANAMA08\Consumo\aggr0.sav'
  /BREAK=Ngtiempo
  /s11b4_1=MEDIAN(s11b4).

comp filt=(s11b1_n=3 & s11b3=1).
filter by filt.
exe.
AGGREGATE
  /OUTFILE='C:\PANAMA08\Consumo\aggr1.sav'
  /BREAK=area
  /s11b4_3=MEDIAN(s11b4).
filter off.
sort cases by Ngtiempo.
MATCH FILES /FILE=* /table='C:\PANAMA08\Consumo\aggr0.sav'  /BY Ngtiempo.
sort cases by area.
MATCH FILES /FILE=* /table='C:\PANAMA08\Consumo\aggr1.sav'  /BY area.
exe.
if (s11b1_n=1 & s11b4<=120) tempb_0=s11b4.
if (s11b1_n=1 & s11b4>120) tempb_0=s11b4_1.
if (s11b1_n=2 & s11b4<=21) tempb_0=s11b4.
if (s11b1_n=2 & s11b4>21) tempb_0=21.
if (s11b1_n=3 & s11b4<=30) tempb_0=s11b4.
if (s11b1_n=3 & s11b4>30) tempb_0=s11b4_3.
if (s11b1_n=4 & s11b4<=210) tempb_0=s11b4.
if (s11b1_n=4 & s11b4>210) tempb_0=210.
if (s11b1_n=5 & s11b4<=200) tempb_0=s11b4.
if (s11b1_n=5 & s11b4>200) tempb_0=200.
if (s11b1_n=6) tempb_0=s11b4.
if (s11b1_n=7 & s11b4<=70) tempb_0=s11b4.
if (s11b1_n=7 & s11b4>70) tempb_0=70.
if (s11b1_n=8 & s11b4<=80) tempb_0=s11b4.
if (s11b1_n=8 & s11b4>80) tempb_0=80.
exe.

****************Anualizacion y agregacion.
if (s11b1_n=2 or s11b1_n=3 or s11b1_n=6 or s11b1_n=8) temp0=tempb_0*(365.25/7).
if (s11b1_n=5) temp1=tempb_0*(365.25/7).
if (s11b1_n=1 or s11b1_n=4 or s11b1_n=7) temp2=tempb_0*(365.25/7).
exe.
AGGREGATE
  /OUTFILE='C:\PANAMA08\Consumo\g08_otros1.sav'
  /BREAK=hogar
  /serv1=SUM(temp0) 
  /alim_pp1=SUM(temp1)
  /trans0=SUM(temp2).

************************************************************.
************************************************************.
**************Recuperando informacion de aportes al seguro (de la secc8 a la secc11)*.
get file 'C:\PANAMA08\DATOS\07GASTOSB2.sav'.
 
exe.
select if (s11b2_n=25 & s11b5=1).
exe.
sort cases by hogar.
save outfile 'C:\PANAMA08\Consumo\temp25.sav' /keep hogar s11b2_n s11b6.

get file 'C:\PANAMA08\DATOS\04PERSONA.sav'.
* 
exe.
WEIGHT   OFF.

recode s7p22b s7p44b (999999.99=sysmis).
comp ttt_css=sum(s7p22b,s7p44b).
exe.
AGGREGATE
  /OUTFILE='C:\PANAMA08\Consumo\temp_aaa.sav'
  /BREAK=hogar
  /ttt_cssS=SUM(ttt_css).
get file 'C:\PANAMA08\Consumo\temp_aaa.sav'.
MATCH FILES /FILE=*
  /file='C:\PANAMA08\Consumo\temp25.sav'
  /BY  hogar.
EXECUTE.
select if ((ttt_cssS>1.2*s11b6 or ttt_cssS<.8*s11b6)&s11b6>=200).
exe.
save outfile 'C:\PANAMA08\Consumo\temp_aaa1.sav' / keep hogar ttt_cssS.

get file 'C:\PANAMA08\DATOS\07GASTOSB2.sav'.
 
exe.
*********Para imputar seguros privados de salud*.
recode s11b6 (99999.99=sysmis).
exe.
MATCH FILES /FILE=*
  /TABLE='C:\PANAMA08\Consumo\temp_seg1.sav'
  /BY  hogar.
if (n_m>=1 & n_m<=2) gn_m=1.
if (n_m>=3 & n_m<=5) gn_m=2.
if (n_m>=6 & n_m<=8) gn_m=3.
if (n_m>=9 & n_m<=25) gn_m=4.
exe.

AGGREGATE
  /OUTFILE='C:\PANAMA08\Consumo\aggr2.sav' 
  /BREAK=area gn_m
  /s11b6_g0=MEDIAN(s11b6).
sort cases by area gn_m.
MATCH FILES /FILE=* /table='C:\PANAMA08\Consumo\aggr2.sav'  /BY area gn_m.
exe.

*****************Recodificacion de missings.
sort case by hogar.
MATCH FILES /FILE=*
  /TABLE='C:\PANAMA08\Consumo\temp_aaa1.sav'
  /BY  hogar.
EXECUTE.
if (s11b2_n=25 & s11b6>=200) s11b6=ttt_cssS.
exe.
***************************.
*****************imputacion de valores extremos.
if (s11b2_n=1 & s11b6<=80) tempb_0=s11b6.
if (s11b2_n=1 & s11b6>80) tempb_0=80.
if (s11b2_n=2 or s11b2_n=3) tempb_0=s11b6.
if (s11b2_n=4 & s11b6<=60) tempb_0=s11b6.
if (s11b2_n=4 & s11b6>60) tempb_0=60.
if (s11b2_n=5 ) tempb_0=s11b6.
if (s11b2_n=6 & s11b6<=50) tempb_0=s11b6.
if (s11b2_n=6 & s11b6>50) tempb_0=50.
if (s11b2_n=7 & s11b6<=50) tempb_0=s11b6.
if (s11b2_n=7 & s11b6>50) tempb_0=50.
if (s11b2_n=8 & s11b6<=160) tempb_0=s11b6.
if (s11b2_n=8 & s11b6>160) tempb_0=160.
if (s11b2_n=9)  tempb_0=s11b6.
if (s11b2_n=10 & s11b6<=40) tempb_0=s11b6.
if (s11b2_n=10 & s11b6>40) tempb_0=40.
if (s11b2_n=11 & s11b6<=60) tempb_0=s11b6.
if (s11b2_n=11 & s11b6>60) tempb_0=60.
if (s11b2_n=12)  tempb_0=s11b6.
if (s11b2_n=13 & s11b6<=30)  tempb_0=s11b6.
if (s11b2_n=13 & s11b6>30)  tempb_0=30.
if (s11b2_n=14 & s11b6<=20)  tempb_0=s11b6.
if (s11b2_n=14 & s11b6>20)  tempb_0=20.
if (s11b2_n=15 or s11b2_n=16)  tempb_0=s11b6.
if (s11b2_n=17 & s11b6<=20)  tempb_0=s11b6.
if (s11b2_n=17 & s11b6>20)  tempb_0=20.
if (s11b2_n=18 or s11b2_n=19 or s11b2_n=20 or s11b2_n=21)  tempb_0=s11b6.
if (s11b2_n=22 & s11b6<=400)  tempb_0=s11b6.
if (s11b2_n=22 & s11b6>400)  tempb_0=400.
if (s11b2_n=23 or s11b2_n=24)  tempb_0=s11b6.
*Solo se considera el porcentaje de la aportacion al CSS que va a salud.
if (s11b2_n=25)  tempb_0=s11b6.
if (s11b2_n=27 & s11b6<=700)  tempb_0=s11b6.
if (s11b2_n=27 & s11b6>700)  tempb_0=s11b6_g0.
if (s11b2_n=28 or s11b2_n=29)  tempb_0=s11b6.
exe.
if (s11b2_n=26)  s11b2n26=s11b6.
exe.
****************Anualizacion y agregacion.
if (s11b2_n>=1&s11b2_n<=24)  temp1=tempb_0*12 .
if (s11b2_n=27 or s11b2_n=28)  temp2=tempb_0*12 .
if (s11b2_n=26) temp3=s11b2n26*12.
if (s11b2_n=25)  tempCSS=tempb_0*12 .
exe.

AGGREGATE
  /OUTFILE='C:\PANAMA08\Consumo\g08_otros2.sav'
  /BREAK=hogar
  /serv2=SUM(temp1)  /salu1=SUM(temp2)  /otros_pp=SUM(temp3) /CSST=sum(tempCSS).

************************************************************.
************************************************************.
get file 'C:\PANAMA08\DATOS\04PERSONA.sav'.
* 
exe.
WEIGHT   OFF.

recode s8p8b (99999.99=sysmis).
if (s8p8b>=2880) s8p8b=$sysmis.
exe.
*freq s8p8b.
AGGREGATE
  /OUTFILE='C:\PANAMA08\Consumo\temp_seg.sav'
  /BREAK=hogar
  /seg_auto=SUM(s8p8b).

get file 'C:\PANAMA08\DATOS\08GASTOSB3.sav'.
 
exe.
*****************Recodificacion de missings.
recode s11b10 (9999.99 9999999.99=sysmis).
exe.
MATCH FILES /FILE=*
  /TABLE='C:\PANAMA08\Consumo\temp_seg.sav'
  /BY  hogar.
EXECUTE.
if (s11b3_n=28 &  (s11b10=0 or missing(s11b10)=1 or s11b10>=14000)) s11b10_p=seg_auto.
exe.

*****************imputacion de valores extremos.
if (s11b3_n=1 or s11b3_n=2 or s11b3_n=3) s11b10_p=s11b10.
if (s11b3_n=4 & s11b10<=6000) s11b10_p=s11b10.
if (s11b3_n=4 & s11b10>6000) s11b10_p=6000.
if (s11b3_n=7) s11b10_p=s11b10.
*5, 6 y 8 no van.
if (s11b3_n=9 & s11b10<=180) s11b10_p=s11b10.
if (s11b3_n=9 & s11b10>180) s11b10_p=180.
if (s11b3_n>=10 & s11b3_n<=17) s11b10_p=s11b10.
if (s11b3_n=20) s11b10_p=s11b10.
if (s11b3_n=21 or s11b3_n=23 or s11b3_n=27) s11b10_p=s11b10.
if (s11b3_n=29 & s11b10<=2000) s11b10_p=s11b10.
if (s11b3_n=29 & s11b10>2000) s11b10_p=2000.
if (s11b3_n=30) s11b10_p=s11b10.
exe.
****************Anualizacion y agregacion.
if ((s11b3_n>=1&s11b3_n<=4)or(s11b3_n=7)or(s11b3_n>=9&s11b3_n<=15)or(s11b3_n=23)or(s11b3_n=27)or(s11b3_n=30) )  temp3=s11b10_p .
if (s11b3_n=20 or s11b3_n=28 or s11b3_n=29)  temp3_sa=s11b10_p .
if (s11b3_n=16 or s11b3_n=17 or s11b3_n=21)  temp3_tr=s11b10_p .
exe.
AGGREGATE
  /OUTFILE='C:\PANAMA08\Consumo\g08_otros3.sav'
  /BREAK=hogar
  /salu11b3=SUM(temp3_sa)
  /serv3=SUM(temp3)
  /trans1=SUM(temp3_tr).

************************************************************.
***********************************************************.
get file 'C:\PANAMA08\DATOS\12GASTOS_VARIOS.sav'.
 
exe.
if (s11b7=1) s11b8_pp=s11b8*52.
if (s11b7=2) s11b8_pp=s11b8*24.
if (s11b7=3) s11b8_pp=s11b8*12.
**s11b7=4 corresponde a  cada mes y medio.
if (s11b7=4) s11b8_pp=s11b8*8.
exe.
AGGREGATE
  /OUTFILE='C:\PANAMA08\Consumo\g08_serv_1.sav'
  /BREAK=hogar
  /serv_a=SUM(s11b8_pp).

************************************************************.
************************************************************.
***************OTROS.
get file 'C:\PANAMA08\DATOS\10GASTOSD.sav'.
 
exe.
recode s11d2 (999999.99 9999999.99=sysmis).
exe.
if (s11d_n>=1 & s11d_n<=10) s11d2_pp=s11d2.
if (s11d_n=11 & s11d2<=8900) s11d2_pp=s11d2.
if (s11d_n=11 & s11d2>8900) s11d2_pp=8900.
if (s11d_n=12 or s11d_n=13) s11d2_pp=s11d2.
exe.

if (s11d_n=10 or s11d_n=11)  temp5=s11d2_pp .
exe.
AGGREGATE
  /OUTFILE='C:\PANAMA08\Consumo\g08_otros.sav'
  /BREAK=hogar
  /otros1=SUM(temp5).

get file 'C:\PANAMA08\Consumo\g08_otros.sav'.

******************************************.

erase file 'C:\PANAMA08\Consumo\temp_seg.sav'.
erase file 'C:\PANAMA08\Consumo\temp_seg1.sav'.
erase file 'C:\PANAMA08\Consumo\temp25.sav' .
erase file 'C:\PANAMA08\Consumo\temp_aaa.sav'.
erase file 'C:\PANAMA08\Consumo\temp_aaa1.sav'.

erase file 'C:\PANAMA08\Consumo\aggr0.sav'.
erase file 'C:\PANAMA08\Consumo\aggr1.sav'.
erase file 'C:\PANAMA08\Consumo\aggr2.sav'.
**************  FIN *****************.


