
***  file  =  C:\PANAMA08\Consumo\06_vivienda_08.sps   .

***Corrido con SPSS 17 en:   0  minutos  15  segundos  .

***********************************************************************************************.
****** Agregando los gastos de servicios de la vivienda, renta pagada e imputada**.
***********************************************************************************************.
***********************************************************************************************.

get file 'C:\PANAMA08\DATOS\11GASTOSE.sav'.
select if ( s11e1=1).
exe.

if (s11e_n>=1&s11e_n<=2)or(s11e_n>=4&s11e_n<=9)or(s11e_n>=11&s11e_n<=16)or(s11e_n>=18&s11e_n<=19) n_bs=s11e2.
exe.

aggregate /outfile 'C:\PANAMA08\Consumo\n_bd.sav' /break HOGAR
/ n_bs_sum=sum(n_bs) .

GET  FILE='C:\PANAMA08\DATOS\02HOGAR.sav'.
sort cases by VIVIENDA.

MATCH FILES /FILE=*
  /TABLE='C:\PANAMA08\DATOS\01VIVIENDA.sav'
  /RENAME (correg distrito factor formula prov upm area = d0 d1 d2 d3 d4 d5 d6) 
  /BY vivienda
  /DROP= d0 d1 d2 d3 d4 d5 d6.
EXECUTE.

sort cases by HOGAR.

MATCH FILES /FILE=*
  /file='C:\PANAMA08\Consumo\temp_sega.sav'
  /BY  HOGAR.
EXECUTE.

MATCH FILES /FILE=*
  /file='C:\PANAMA08\Consumo\n_bd.sav'
  /BY  HOGAR.
EXECUTE.


exe.
sort cases by HOGAR.

if (n_bs_sum>=1 & n_bs_sum<=2) gn_bs=1.
if (n_bs_sum>=3 & n_bs_sum<=4) gn_bs=2.
if (n_bs_sum>=5 & n_bs_sum<=6) gn_bs=3.
if (n_bs_sum>=7 & n_bs_sum<=10) gn_bs=4.
if (n_bs_sum>=11 & n_bs_sum<=54) gn_bs=5.
variable label gn_bs 'Numero de electrodomesticos'.
exe.

***************************************************.
******* Servicios del hogar *********************.
***************************************************.
***************************************************.
******* Excluye, los que no pagan (0), los incluido en el alquiler, los menores de B/. 0.25, B/. 250.00, B/. 264.40, B/. 800.00  *********************.

recode s1b27 (250 thru Highest=SYSMIS) (Lowest thru 0.24=SYSMIS) (ELSE=Copy) INTO HP27.
variable labels HP27 'HP27 - Pago del agua el mes pasado'.
exe.
recode s1b34 (Lowest thru 0.49=SYSMIS) (40 thru Highest=SYSMIS) (ELSE=Copy) INTO HP34.
variable labels  HP34 'HP34 - Pago por recoleccin o eliminacin de la basura'.
exe.
******* Excluye, los que no pagan (0), los incluido en el alquiler, los menores de B/. 1.00, Mayores de B/. 600.00  *********************.
recode s1b36a (Lowest thru 1.00=SYSMIS) (600 thru Highest=SYSMIS) (ELSE=Copy) INTO HP36.
variable labels  HP36 'HP36 - Pago por electricidad el mes pasado'.
exe.
******* Excluye, los que no pagan (0), los incluido en el alquiler, los menores de B/. 0.30, Mayores de B/. 50.00  *********************.
recode s1b37 (Lowest thru 0.30=SYSMIS) (50 thru Highest=SYSMIS) (ELSE=Copy) INTO HP37.
variable labels  HP37 'HP37 - Pago por alumbrado del hogar el mes pasado'.
exe.
******* Excluye, los que no pagan (0), los incluido en el alquiler, los menores de B/. 0.90, Mayores de B/. 475.00  *********************.
recode s1b39 (Lowest thru 0.90=SYSMIS) (475 thru Highest=SYSMIS) (ELSE=Copy) INTO HP39.
variable labels  HP39 'HP39 - Pago por combustible del hogar el mes pasado'.
exe.

*********************************************************************Imputando a los valores extremos***.
weight by factor.
comp filt=(s1b27>0 & s1b27<250).
filter by filt.
exe.
aggregate /outfile * mode=addvariables /break area prov n_m / s1b27_m=median(s1b27) .
exe.
comp filt=(s1b34>0 & s1b34<40).
filter by filt.
aggregate /outfile * mode=addvariables/break area prov n_m / s1b34_m=median(s1b34) .

comp filt=(s1b36a>0 & s1b36a<600).
filter by filt.
aggregate /outfile * mode=addvariables/break area prov gn_bs / s1b36a_m=median(s1b36a) .

comp filt=(s1b37>0 & s1b37<50).
filter by filt.
aggregate /outfile * mode=addvariables/break area prov n_m / s1b37_m=median(s1b37) .

comp filt=(s1b39>0 & s1b39<475).
filter by filt.
aggregate /outfile * mode=addvariables/break area prov n_m / s1b39_m=median(s1b39) .
exe.
if (HP27=0 or missing(HP27)=1) HP27=s1b27_m.
if (HP34=0 or missing(HP34)=1) HP34=s1b34_m.
if (HP36=0 or missing(HP36)=1) HP36=s1b36a_m.
if (HP37=0 or missing(HP37)=1) HP37=s1b37_m.
if (HP39=0 or missing(HP39)=1) HP39=s1b39_m.
exe.
weight off.
filter off.

if  (s1b40ac < 9999.99) HP40_a=s1b40ac.
if  (s1b40bc < 9999.00) HP40_b=s1b40bc.
if  (s1b40cc < 9999.00) HP40_c=s1b40cc.
if  (s1b40dc < 9999.00) HP40_d=s1b40dc.
if  (s1b40ec < 9999.00) HP40_e=s1b40ec.
variable labels  HP40_a 'HP40a - Pago por telefono fijo en el hogar el mes pasado'.
variable labels  HP40_b 'HP40b - Pago por celular en el hogar el mes pasado'.
variable labels  HP40_c 'HP40c - Pago por beeper en el hogar el mes pasado'.
variable labels  HP40_d 'HP40d - Pago por internet en el hogar el mes pasado'.
variable labels  HP40_e 'HP40e - Pago por tv cable en el hogar el mes pasado'.
exe.

comp HP27_GL=HP27*12.
comp HP34_GL=HP34*12.
comp HP36_GL=HP36*12.
comp HP37_GL=HP37*12.
comp HP39_GL=HP39*12.
comp HP40a_GL=HP40_a*12.
comp HP40b_GL=HP40_b*12.
comp HP40c_GL=HP40_c*12.
comp HP40d_GL=HP40_d*12.
comp HP40e_GL=HP40_e*12.
variable labels  HP27_GL 'HP27_GL - Pago anual por agua potable'.
variable labels  HP34_GL 'HP34_GL - Pago anual por recoleccin o eliminacin de la basura'.
variable labels  HP36_GL 'HP36_GL - Pago anual por electricidad'.
variable labels  HP37_GL 'HP37_GL - Pago anual por alumbrado'.
variable labels  HP39_GL 'HP39_GL - Pago anual por combustible'.
variable labels  HP40a_GL 'HP40a_GL - Pago anual por telefono fijo'.
variable labels  HP40b_GL 'HP40b_GL - Pago anual por celular'.
variable labels  HP40c_GL 'HP40c_GL - Pago anual por beeper'.
variable labels  HP40d_GL 'HP40d_GL - Pago anual por internet'.
variable labels  HP40e_GL 'HP40e_GL - Pago anual por tv cable'.
exe.

sort cases by  HOGAR (A)  .
***************************************************.
******* Renta y renta imputada****************.
***************************************************.
***************************************************.
********* Recodifica variable de perdidos ******************.

DO if  (s1a5 = 3).
recode s1a5a (99999.99=SYSMIS) (ELSE=Copy) INTO VP5a.
END if.
variable labels  VP5a 'VP5a - Pago por alquiler'.
exe.

DO if  (s1a5  ~=  3).
recode s1a6 (99999.99=SYSMIS) (9999.99=SYSMIS) (999.99=SYSMIS) (ELSE=Copy) INTO VP6.
END if.
variable labels  VP6 'Vp6 - Renta imputada'.
exe.

SAVE OUTFILE='C:\PANAMA08\Consumo\borrar.sav'
  /COMPRESSED.

****************************************************.

GET FILE='C:\PANAMA08\Consumo\borrar.sav'.

***Para identificar casos extremos utilizamos el tipo de piso de las viviendas y el area de 
***residencia.

COMPUTE piso=s1a4.
EXECUTE.

RECODE piso (5=4) (SYSMIS=4).
EXECUTE.

SORT CASES BY piso area.
AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
  /PRESORTED
  /BREAK=piso area
  /VP5a_mean=MEAN(VP5a) 
  /VP6_mean=MEAN(VP6) 
  /VP5a_sd=SD(VP5a) 
  /VP6_sd=SD(VP6).

COMPUTE VP5a_SDM=(ABS(VP5a - VP5a_mean)) / VP5a_sd.
execute.

COMPUTE VP6_SDM=(ABS(VP6 - VP6_mean)) / VP6_sd.
EXECUTE.

**** Se determinan como valores extremos aquellas observaciones de VP5a con 6 o ms 
***desviaciones estndard de la media (hay 6 casos)     y  para la variable VP6 se consideran valores 
***extremos los casos con 9 o ms desviasiones estdard (23 casos) .

IF  (VP5a_SDM >= 6) VP5a=VP5a_mean.
IF  (VP6_SDM >= 6) VP6=VP6_mean.
EXECUTE.

***** Se considera los pagos menores a B/. 15.00 como extremos ********.

if  (VP5a >= 15) VP5a_GL=VP5a.
variable labels  VP5a_GL 'VP5a_GL - Pago por alquiler'.
exe.

***** Se considera los pagos menores a B/. 5.00  y B/. 2000.00 como extremos ********.

if  (VP6 >= 5 ) VP6_GL=VP6.
variable labels  VP6_GL 'VP6_GL - Pago si tuviera que alquilar'.
exe.

***** Genera una variable anual del pago por la vivienda, independiente si es alquilada o propia ********.

comp VP5VP6_T=SUM((VP5a_GL*12),(VP6_GL*12)).
variable labels  VP5VP6_T '(V5a + V6) - Pago anual de la vivienda'.
exe.

**************************************************************************************************.
**************************************************************************************************.
***************************** Regresion para renta imputada ********************************.
**************************************************************************************************.
****** Modelo de Regresin para 2008 ********:
****** Recodificacin de variables para modelo de regresin *******.

recode s1a3 (SYSMIS=SYSMIS) (1 thru 2=1) (ELSE=0) INTO Techo03.
recode s1a4 (SYSMIS=SYSMIS) (2=1) (ELSE=0) INTO Piso03.
comp Cuartos=s1b17.
comp LN_Cuart=LN(Cuartos).
recode s1b30 (SYSMIS=SYSMIS) (1=0) (ELSE=1) INTO SSextra3.
recode s1b31 (SYSMIS=SYSMIS) (1=1) (ELSE=0) INTO SSdentro.
recode s1b35 (SYSMIS=SYSMIS) (1 thru 4=1) (ELSE=0) INTO Telect.


***Un hogar no respondi tipo de piso en la pregunta cuatro ni de techo Es un hogar que no tiene servicio de agua y con ciertos problemas por lo que le
***pondremos que no tena piso de buena calidad.

DO IF (hogar = 428.0).
RECODE Piso03 (SYSMIS=0).
END IF.
EXECUTE.

DO IF (hogar = 428.0).
RECODE Techo03 (SYSMIS=0).
END IF.
EXECUTE.

***Estos son casos donde no hay servicio sanitario en la vivienda o propiedad  .

DO IF (s1b29 = 4).
RECODE SSextra3 (SYSMIS=0).
END IF.
EXECUTE.

DO IF (s1b29 = 4).
RECODE SSdentro (SYSMIS=0).
END IF.
EXECUTE.


if (area=1) area1=1.
if (area=2 or area=3) area1=0.
exe.

comp LN_Alq=LN(VP5a_GL).
exe.
variable labels  Techo03 "Techo de concreto, cemento, o teja".
variable labels  Piso03 "Piso de mosaico, ladrillo, granito, mrmol, baldosa".
variable labels  Cuartos "Nmero de cuartos".
variable labels  LN_Cuart "Logaritmo Natural de # cuartos".
variable labels  SSextra3 "Servicios extras".
variable labels  SSdentro "Servicios Sanitario dentro de la vivienda".
variable labels  Telect "Tenencia de electricidad".
variable labels  area1 "Area recodificada".
variable labels  LN_Alq "Logaritmo Natural de Alquiler".
exe.


IF  (prov=03 | prov=08) area03=1.
IF  (area1 = 1) area03=1.
IF  (area1 = 0 & (prov=01 | prov = 02 | prov=04 | prov=05  | prov=06  | prov=07  | prov=09 | prov=10 | prov=11 | prov=12)) area03=0.
variable labels  area03 'Panam, Coln, Urbana'.
exe.

WEIGHT BY factor.

***NO SE NECESITA EL FILTRO YA QUE EL PROGRAMA AUTOMATICAMENTE SELECCIONA A LOS
***QUE TIENEN DATOS.

***comp filter_$=(s1a5 = 3).
***filter by filter_$.
***exe.



SAVE OUTFILE='C:\PANAMA08\Consumo\borrar1.sav'
  /COMPRESSED.

****************************************************.

GET FILE='C:\PANAMA08\Consumo\borrar1.sav'.

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT LN_Alq
  /METHOD=ENTER Techo03 Piso03 Cuartos LN_Cuart SSextra3 SSdentro Telect area1
  /SAVE PRED.

filter off.
weight off.

***comp Pronos=sum(3,(Techo03*0.314),(Piso03*0.522),(Cuartos*0.129),(LN_Cuart*0.0638),(SSextra3*0.706),(SSdentro*0.370),(Telect*.193),(area1*0.387)).
***EXECUTE.

***UTILIZAR EL PRONOSTICO AUTOMATICO DEL PROGRAMA .

COMPUTE Pronos = pre_1 .
execute.

comp pronos1=exp(Pronos) *12.
exe.


*******************************************************.

comp energ=sum(HP36_GL,HP37_GL,HP39_GL).
comp servhog1=sum(HP27_GL,HP34_GL,HP40a_GL,HP40b_GL,HP40c_GL,HP40d_GL,HP40e_GL).
comp servhog=sum(HP27_GL,HP40a_GL,HP40b_GL,HP40c_GL,HP40d_GL,HP40e_GL).
exe.
comp rent_pag=VP5VP6_T.
if (missing(rent_pag)=1) rent_imp=pronos1.
exe.

********************************************************.
*Estimacion de la renta total=pagada+imputada*.

comp rent_tot=rent_pag.
if (rent_tot=0 or missing(rent_tot)=1) rent_tot=rent_imp.
*freq renta_imp.
exe.


* Basic Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION rent_pag
  /TABLES area > rent_pag
  BY (STATISTICS)
  /STATISTICS
  median( )
  mean( )
  semean( )
  mode( )
  maximum( )
  minimum( ).
       
*******al revisar los datos del valor de uso de la vivienda nos dimos cuenta de dos valores sumamente elevados en el rea indgena en los cuestionarios con HOGAR**.
 **100101301530001 y 100104302003001  se tom la decisin de imputar por la mediana del rea indgena: B/.240.00 anuales***.

***Para estos dos hogares con cambios que se hicieronposteriores los valores que se obtienen con el programa
***ya no son extremos y se hubican alrededor de 220.

If (FORMULA = 6503 or FORMULA = 6458) rent_tot=240.
If (FORMULA = 6503 or FORMULA = 6458) rent_pag=240.
exe.


*******En el distrito de Pedas se encontr dos casos en que el valor de uso de la vivienda eran sumamente elevados, al analizarlos nos dimos cuenta que se trataba de hostales **.
 **se tom la decisin de corregir por la mediana del distrito: B/.720.00 anuales***.

***Para sacar la mediana se cambi UPM a numrica***.

**Comp filt= (UPM>=705012030 & UPM<=705052032).
**filter by filt.
exe.
*** * Basic Tables*.
**TABLES*
 ** /FORMAT BLANK MISSING('.')*
 ** /OBSERVATION rent_pag*
  **/TABLES area > rent_pag*
 ** BY (STATISTICS)*
 ** /STATISTICS
  **median( )**
  **mean( )*
  **maximum( )*
 ** minimum( )*.

*****devuelvo UPM a string***.

FILTER OFF.
USE ALL.
EXECUTE .

***Para el primer hogar con cambios que se hicieronposteriores los valores que se obtienen con el programa
***ya no son extremos y se hubica alrededor de 749, para el segundo hogar el valor sigue siendo 
***extremo (alrededor del doble esperado..
  
if (FORMULA = 3661 or FORMULA = 3686) rent_pag=720.
if (FORMULA = 3661 or FORMULA = 3686) rent_tot=720.
EXECUTE .
sort cases by HOGAR.

SAVE OUTFILE='C:\PANAMA08\Consumo\borrar2.sav'
  /COMPRESSED.

****************************************************.

GET FILE='C:\PANAMA08\Consumo\borrar2.sav'.


save outfile 'C:\PANAMA08\Consumo\vivienda_08.sav' / keep UPM HOGAR
 rent_tot rent_pag rent_imp energ servhog servhog1 prov area formula.

get file 'C:\PANAMA08\Consumo\vivienda_08.sav'.

*******************************************************.




