


***  file  =  C:\PANAMA08\Consumo\10_LPE_LPT_08.sps    .


***Corrido con SPSS 17 en:   0  minutos      12 segundos  .


*******************************************************************.
*******************************************************************.
*****************************************Generacion de la LPE.
*******************************************************************.
*******************************************************************.
**Indice de precios prom de alimentos ago-nov03=100.7. 
**Indice de precios prom de alimentos jun08=131.0. 
**Inflacion de alimentos en el periodo 131.0/100.7=1.3008937 .

**Indice de precios prom de NO alimentos ago-nov03=99.7. 
**Indice de precios prom de NO alimentos jun08=115.9. 
**Inflacion de NO alimentos en el periodo 115.9/99.7=1.1624874 .

*******El IPC Total Nacional Urbano = 120.8*****.

*******************************************************************.
*******************************************************************.

GET  FILE='C:\PANAMA08\Consumo\ALIMENTOS_temp.sav'
   /keep =producto HOGAR precio0 canasta factor .

FILTER OFF.
USE ALL.
SELECT IF (canasta = 1).
EXECUTE.

SORT CASES BY HOGAR(A).

SAVE OUTFILE='C:\PANAMA08\Consumo\uno.sav'
  /COMPRESSED.

**********************************************************************************.

GET  FILE='C:\PANAMA08\DATOS\02HOGAR.SAV '
    /keep = HOGAR ind_temp .

SORT CASES BY HOGAR(A).

SAVE OUTFILE='C:\PANAMA08\Consumo\dos.sav'
  /COMPRESSED.

**********************************************************************************.

GET  FILE='C:\PANAMA08\Consumo\deciles.sav'.

SORT CASES BY HOGAR(A).

SAVE OUTFILE='C:\PANAMA08\Consumo\tres.sav'
  /COMPRESSED.

**********************************************************************************.


GET FILE='C:\PANAMA08\Consumo\uno.sav'.

MATCH FILES /FILE=*
  /TABLE='C:\PANAMA08\Consumo\dos.sav'
  /BY HOGAR.
EXECUTE.

MATCH FILES /FILE=*
  /TABLE='C:\PANAMA08\Consumo\tres.sav'
  /BY HOGAR.
EXECUTE.

SAVE OUTFILE='C:\PANAMA08\Consumo\cuatro.sav'
  /COMPRESSED.

***********************************************************.

GET  FILE='C:\PANAMA08\Consumo\cuatro.sav'.


************************************************.

comp precio0=precio0* ind_temp.
exe.
comp filt=(decil>=2 & decil<=4).
filter by filt.
exe.

weight by factor.
AGGREGATE
  /OUTFILE= 'C:\PANAMA08\Consumo\precios_pp.sav'
  /BREAK=producto
  /p_median=MEDIAN(precio0) .

********************************************************************************************************************.
********************************************************************************************************************.
********************************************************************************************************************.
get file 'C:\PANAMA08\Consumo\precios_pp.sav'.
sort cases by producto.
MATCH FILES /FILE=*
  /FILE='C:\PANAMA08\DATOS\calorias_producto_pp.sav'
  /BY  producto.
EXECUTE.
comp uno=1.
exe.
*****Las calorias promedio se estiman en el archivo "calculo_calorias_08a.xls" *.
comp cal$08=2297 .
exe.
comp  LB$cal=LB2305*(cal$08/2305).
comp D$cal=LB$cal* p_median.
exe.
AGGREGATE
  /OUTFILE='C:\PANAMA08\Consumo\aggr0.sav'
  /BREAK=uno
  /LPE=SUM(D$cal) .
sort cases by uno.
MATCH FILES /FILE=*   /table='C:\PANAMA08\Consumo\aggr0.sav'   /BY uno.
exe.
*******************************************************************.
*******************************************************************.
*****************************************Generacion de la LPT.
*******************************************************************.
*******************************************************************.
comp LPT=LPE+(953-534)*1.162487 .
exe.
*list producto  precio1 LPE LPT.
AGGREGATE
  /OUTFILE= 'C:\PANAMA08\Consumo\lineas.sav'
  /BREAK=uno
  /LPEf=first(LPE)  /LPTf=first(LPT) .

get file 'C:\PANAMA08\Consumo\lineas.sav'.

***********************.

erase file 'C:\PANAMA08\Consumo\aggr0.sav'.
erase file 'C:\PANAMA08\Consumo\uno.sav'.
erase file 'C:\PANAMA08\Consumo\dos.sav'.
erase file 'C:\PANAMA08\Consumo\tres.sav'.
erase file 'C:\PANAMA08\Consumo\cuatro.sav'.


********************************************************************************************************************************************.

***********Estimacion de la tasa de pobreza.

GET  FILE='C:\PANAMA08\Consumo\consumo.sav'.
comp uno=1.
exe.

MATCH FILES /FILE=*
  /table='C:\PANAMA08\Consumo\lineas.sav'
  /BY  uno.
EXECUTE.

if (cons_pc<LPEf) pobreza=1.
if (cons_pc>=LPEf & cons_pc<LPTf) pobreza=2.
if (cons_pc>=LPTf) pobreza=3.
value label pobreza 1'Pobre extremo'  2'Pobre No extremo' 3 'No Pobre'.
sort cases by HOGAR.

weight by factor3.
freq pobreza.
weight off.

save outfile 'C:\PANAMA08\Consumo\pobreza.sav' / drop uno .
EXECUTE .

******************************************.

GET  FILE='C:\PANAMA08\Consumo\pobreza.sav'.
