
***  file  =  C:\PANAMA08\consumo\01_alimentos_08.SPS  .

***Corrido con SPSS 17 en:  1 minutos 45  segundos  .

******************************************.
**Estimacion de precio de calorias *.
******************************************.

get file 'C:\PANAMA08\DATOS\05ALIMENTOS.sav'.
select if (s11a3=1).
exe.

sort cases by UPM.


recode producto (33=34).
exe.
if ((producto>=1 & producto<=6) or producto=8 or producto=9 or (producto>=11 & producto<=22) or (producto>=24 & producto<=28) or producto=31 or producto=34 or producto=36) canasta=1.
if ((producto>=38 & producto<=52) or (producto>=54 & producto<=59) or (producto>=61 & producto<=63) or producto=65 or producto=66 or producto=69) canasta=1.
recode canasta (MISSING=0).
exe.
*freq canasta.

SAVE OUTFILE='C:\PANAMA08\Consumo\05ALIMENTOS.sav'.

**************************************************************************************************.
* III. TRANSFORMACION A UNA MISMA UNIDAD**.
**************************************************************************************************.
*******************************************.
* III. 1. ALIMENTOS COMPRADOS *.
*******************************************Todo se va a transformar a libras.

***get file 'C:\PANAMA08\Consumo\05ALIMENTOS.sav'.


comp unid_pp=s11a6b.
comp cant_pp=s11a6a.
exe.
******************************************.
*Todos los productos se pasan a libras.
if (s11a6b=39 & producto=5) cant_pp=s11a6a*(48/453.592) .
if (s11a6b=39 & producto=23) cant_pp=s11a6a*(.4) .
if (s11a6b=39 & producto=29) cant_pp=s11a6a*(4/16) .
if (s11a6b=39 & producto=43) cant_pp=s11a6a*(.62) .
if (s11a6b=39 & producto=52) cant_pp=s11a6a*(.6) .
if (s11a6b=39 & producto=53) cant_pp=s11a6a*(1.54) .
if (s11a6b=39 & producto=54) cant_pp=s11a6a*(.35) .
if (s11a6b=39 & producto=55) cant_pp=s11a6a*(.41) .
if (s11a6b=39 & producto=56) cant_pp=s11a6a*(4) .
if (s11a6b=39 & producto=57) cant_pp=s11a6a*(.45) .
if (s11a6b=39 & producto=58) cant_pp=s11a6a*(.89) .
if (s11a6b=39 & producto=59) cant_pp=s11a6a*(2.61) .
if (s11a6b=39 & producto=60) cant_pp=s11a6a*(5.84) .
if (s11a6b=39 & producto=61) cant_pp=s11a6a*(1.15) .
**8 limones hacen una libra.  Se utiliza 0.125 libras, de acuerdo a datos del peso promedio de la ENV2003*****************.
if (s11a6b=39 & producto=62) cant_pp=s11a6a*(0.125) .
if (s11a6b=39 & producto=63) cant_pp=s11a6a*(6) .

if (s11a6b=39) unid_pp=20.
exe.

*Como en el 2003 se utiliza la conversion de litros a libras de 2.17.
if (s11a6b=13) cant_pp=s11a6a/453.592 .
if (s11a6b=27) cant_pp=s11a6a/16 .
if (s11a6b=13 or s11a6b=27) unid_pp=20.

if (s11a6b=21) cant_pp=s11a6a* 2.17 .
if (s11a6b=12) cant_pp=s11a6a* 3.7853058 * 2.17 .
if (s11a6b=41) cant_pp=s11a6a/1000 * 2.17.
if (s11a6b=12 or s11a6b=21 or s11a6b=41) unid_pp=20.
exe.
************************************************.
** Estimacion de los precios por producto. 
************************************************.
recode s11a6c (99999.99=sysmis).
exe.
if (s11a6c>0.9 & s11a6c<300) precio0=s11a6c/cant_pp.
if (producto=25&precio0>1) precio0=$sysmis.
exe.
SAVE OUTFILE='C:\PANAMA08\Consumo\ALIMENTOS_temp.sav'.

***********************.
***********************Estimacion de los gastos en alimentos.
***Valorizacion de los alimentos no comprados.

***get file 'C:\PANAMA08\Consumo\ALIMENTOS_temp.sav'.

 
exe.
recode s11a5 (99999.99=sysmis).
exe.
weight by factor.
sort cases by UPM producto.
AGGREGATE
  /OUTFILE='C:\PANAMA08\Consumo\aggr.sav'
  /BREAK=UPM producto
  /p_u_medi = MEDIAN(precio0).
sort cases by area producto.
AGGREGATE
  /OUTFILE='C:\PANAMA08\Consumo\aggr1.sav'
  /BREAK=area producto
  /p_a_medi = MEDIAN(precio0).
sort cases by producto.
AGGREGATE
  /OUTFILE='C:\PANAMA08\Consumo\aggr2.sav'
  /BREAK=producto
  /p_n_medi=MEDIAN(precio0) .

sort cases by UPM producto.
MATCH FILES /FILE=* /table='C:\PANAMA08\Consumo\aggr.sav'  /BY UPM producto.
sort cases by area producto.
MATCH FILES /FILE=* /table='C:\PANAMA08\Consumo\aggr1.sav'  /BY area producto.
sort cases by producto.
MATCH FILES /FILE=* /table='C:\PANAMA08\Consumo\aggr2.sav' /BY producto.
exe.
sort cases by hogar.

*Estoy siguiendo el supuesto del 2003 que un lt equivale a una 2.17 lb.
comp cant_pp1=s11a9a.
comp unid_pp1=s11a9b.
exe.
*Todos los productos se pasan a libras.
if (s11a9b=39 & producto=5) cant_pp1=s11a9a*(48/453.592) .
if (s11a9b=39 & producto=23) cant_pp1=s11a9a*(.4) .
if (s11a9b=39 & producto=29) cant_pp1=s11a9a*(4/16) .
if (s11a9b=39 & producto=43) cant_pp1=s11a9a*(.62) .
if (s11a9b=39 & producto=52) cant_pp1=s11a9a*(.6) .
if (s11a9b=39 & producto=53) cant_pp1=s11a9a*(1.54) .
if (s11a9b=39 & producto=54) cant_pp1=s11a9a*(.35) .
if (s11a9b=39 & producto=55) cant_pp1=s11a9a*(.41) .
if (s11a9b=39 & producto=56) cant_pp1=s11a9a*(4) .
if (s11a9b=39 & producto=57) cant_pp1=s11a9a*(.45) .
if (s11a9b=39 & producto=58) cant_pp1=s11a9a*(.89) .
if (s11a9b=39 & producto=59) cant_pp1=s11a9a*(2.61) .
if (s11a9b=39 & producto=60) cant_pp1=s11a9a*(5.84) .
if (s11a9b=39 & producto=61) cant_pp1=s11a9a*(1.15) .
**8 limones hacen una libra.  Se utiliza 0.125 libras, de acuerdo a datos del peso promedio de la ENV2003*****************.
if (s11a9b=39 & producto=62) cant_pp1=s11a9a*(0.125) .
if (s11a9b=39 & producto=63) cant_pp1=s11a9a*(6) .
if (s11a9b=39) unid_pp1=20.
exe.
if (s11a9b=13) cant_pp1=s11a9a/453.592 .
if (s11a9b=27) cant_pp1=s11a9a/16 .
if (s11a9b=13 or s11a9b=27) unid_pp1=20.

if (s11a9b=21) cant_pp1=s11a9a* 2.17 .
if (s11a9b=12) cant_pp1=s11a9a* 3.7853058 * 2.17 .
if (s11a9b=41) cant_pp1=s11a9a/1000 * 2.17.
if (s11a9b=12 or s11a9b=41) unid_pp1=20.
exe.

if (missing(precio0)=0) a_no_com=precio0*cant_pp1*s11a8.
if (missing(a_no_com)=1 & missing(unid_pp1)=0) a_no_com=p_u_medi*cant_pp1*s11a8.
exe.
if (missing(a_no_com)=1 & missing(unid_pp1)=0) a_no_com=p_a_medi*cant_pp1*s11a8.
exe.
if (missing(a_no_com)=1 & missing(unid_pp1)=0) a_no_com=p_n_medi*cant_pp1*s11a8.
exe.

comp al_compr=s11a5*s11a4.
exe.


******************************************************************************************.
**Consideramos que en la hogar=100104301928001 el producto 65 'sopas en lata o en sobre' en autoconsumo est mal codificado en la unidad**.
**Por lo tanto se corrige con la mediana del valor de la compra en Kuna Yala segn consulta hecha a Kinnon***.

**comp filt=(prov='10' & producto=65).
**filter by filt.
**exe.
* Basic Tables.
**TABLES
 ** /FORMAT BLANK MISSING('.')
 ** /OBSERVATION al_compr
 ** /TABLES al_compr
 ** BY (STATISTICS)
 ** /STATISTICS
 ** median( )
 ** mean( ).
**FILTER OFF.
**USE ALL.
**EXECUTE .

If ( hogar  = 6730 & producto=65)  a_no_com=10.80.
exe.

FILTER OFF.
USE ALL.
EXECUTE .

weight off.

sort cases by hogar.

AGGREGATE
  /OUTFILE='C:\PANAMA08\Consumo\alimen_pp.sav'
  /BREAK=hogar
  /al_cH=sum(al_compr)
  /al_no_cH=sum(a_no_com).

*******************************************************************.
**Gastos en SUPERMERCADO.
get file 'C:\PANAMA08\DATOS\12GASTOS_VARIOS.sav'.
 
exe.
if (s11a20=2) a_super=s11a21*365.25.
if (s11a20=3) a_super=s11a21*52.
if (s11a20=4) a_super=s11a21*24.
if (s11a20=5) a_super=s11a21*12.
exe.
AGGREGATE
  /OUTFILE='C:\PANAMA08\Consumo\alimen_pp1.sav'
  /BREAK=hogar
  /a_superH=sum(a_super).

get file 'C:\PANAMA08\Consumo\alimen_pp.sav'.
MATCH FILES /FILE=*
  /FILE='C:\PANAMA08\Consumo\alimen_pp1.sav'
  /BY  hogar.
EXECUTE.
comp alim_H=sum(al_cH,al_no_cH,a_superH).
exe.
sort cases by hogar.
save outfile 'C:\PANAMA08\Consumo\alimen_ppT.sav' / keep hogar alim_H.
***********************************************************************************.

get file 'C:\PANAMA08\Consumo\ALIMENTOS_temp.sav'.
select if (canasta=1).
exe.
sort cases by hogar.

comp precio0=precio0*1.
exe.
weight by factor.
filter off.
AGGREGATE
  /OUTFILE= 'C:\PANAMA08\Consumo\precios_pp1.sav'
  /BREAK=producto
  /precio1=MEDIAN(precio0) .


***********************************************************************.


***********************************************************************.

erase file 'C:\PANAMA08\Consumo\aggr.sav'.
erase file 'C:\PANAMA08\Consumo\aggr1.sav'.
erase file 'C:\PANAMA08\Consumo\aggr2.sav'.


