***  file  =  C:\PANAMA08\Consumo\\05_Bienes durables_08.sps     .

***Corrido con SPSS 17 en:   0  minutos  15 segundos  .

***** Estimacin para bienes durables ********.
****************************************************.

GET  FILE='C:\PANAMA08\DATOS\11GASTOSE.sav'.
execute.

select if (s11e1=1).
exe.

recode s11e4 (99999.99 9999999.99=sysmis).
recode s11e3 (99=sysmis).
exe.

**** Genera varibles a partir de las originales ******.

comp equipo=s11e_n .
comp tiene=s11e1 .
comp cuantos=s11e2  .
comp edad=s11e3.
comp v.dura=s11e4.
exe.
*freq edad v.dura.
if ((s11e_n = 1 | s11e_n =2 | s11e_n = 4 | s11e_n = 5 | s11e_n=7 | s11e_n=8 | s11e_n=9 | s11e_n=12 | s11e_n=20 | s11e_n=21 | s11e_n=25)&edad>=40) edad=$sysmis.
if ((s11e_n =3 or s11e_n =10 or s11e_n =17)&edad>=51) edad=$sysmis.
if ((s11e_n =24)&edad>=31) edad=$sysmis.
exe.

*Segun el manual del encuestador aunque se reporte tener mas de un bien (2 televisores o 2 bicicletas) el valor de reemplazo es el de un solo bien (el mas nuevo) *.
***Calcular edad  promedio por area por bien durable *.

AGGREGATE
  /OUTFILE='C:\PANAMA08\Consumo\\aggr0.sav'
  /BREAK=area equipo
  /v.dura.m=median(v.dura).
sort cases by area equipo.
MATCH FILES /FILE=*   /TABLE='C:\PANAMA08\Consumo\\aggr0.sav'  /BY area equipo.
exe.

*****Imputando casos que les falta edad o v.dura *.

AGGREGATE
  /OUTFILE='C:\PANAMA08\Consumo\\aggr1.sav'
  /BREAK=equipo edad
  /v.du.a.m=median(v.dura).
sort cases by equipo edad.
MATCH FILES /FILE=*   /TABLE='C:\PANAMA08\Consumo\\aggr1.sav'  /BY equipo edad.
exe.

if ((missing(v.dura) =1) & (v.du.a.m > 0)) v.dura= v.du.a.m  .
if ((missing(v.dura) =1) & (v.dura.m > 0)) v.dura= v.dura.m  .
exe.
recode v.dura (0 thru 50=1)  (50.00000001 thru 100=2)  (100.000001 thru 500=3)  (500.000001 thru Highest=4)  INTO  grupo.va .
variable labels grupo.va 'Valor del bien en grupos'.
exe.

AGGREGATE
  /OUTFILE='C:\PANAMA08\Consumo\\aggr2.sav'
  /BREAK=equipo grupo.va
  /edad.g 'Edad por grupo de gasto' =median(edad).
sort cases by equipo grupo.va.

MATCH FILES /FILE=*   /TABLE='C:\PANAMA08\Consumo\\aggr2.sav'  /BY equipo grupo.va.
exe.

If ((missing(edad) =1) & (edad.g > 0)) edad= edad.g  .
exe.

***************************************************************.
**La edad media  promedio de Carros (5.8), botes (4.2) .
**no es representativa de la realidad panamena.  Se consultara con panama pero tentarivamente.
*se usara:  Vida esperada en annos de: Carro=20, bote=15 .
* NOTA: ESTA CONSIDERACION NO SE TIENE EN CUENTA .
* LOS MAXIMOS Y MINIMOS y PROMEDIOS DE ESTOS EQUIPOS SON BASTANTE REALISTAS.
* DE ACUERDO A LOS RESULTADOS DEL 2003.
*************************************************************.
***Calcular los aos de vida que le quedan al bien ***.
*** CREAMOS LA VARIABLE: edad.que ***.
**************************************************************.

AGGREGATE
  /OUTFILE='C:\PANAMA08\Consumo\\aggr3.sav'
  /BREAK=area equipo
  /edad.m=mean(edad) .
sort cases by area equipo.

MATCH FILES /FILE=*   /TABLE='C:\PANAMA08\Consumo\\aggr3.sav'  /BY area equipo.
exe.
comp edad.que = (edad.m * 2) - edad .
variable labels edad.que 'Aos de vida que le quedan al bien' .
exe.

***Dar un minimo de 2 anos de vida til a cualquier bien***.
***Dar un minimo de 4 anos de vida util a bienes que tienen un valor actual
***mayor de $5,000***.

recode  edad.que  (Lowest thru 2=2)  .
if (v.dura >= 5000 & edad.que<4) edad.que=4.
exe.

***CALCULAR VALOR DEL USO ANUAL DEL BIEN.
*********************************************.
**** SE CREA LA VARIABLE: v.uso ***.
*********************************************.

comp V.USO = v.dura / edad.que .
variable label V.USO 'Valor uso de bien duradero (1 anno)' .
exe.

*************************************************.
**** SE CREA LA VARIABLE: v.equipo ***.
************************************************.

comp v.equipo = cuantos * v.uso .
variable label v.equipo 'Valor de uso anual de equipos' .
exe .

AGGREGATE
  /OUTFILE='C:\PANAMA08\Consumo\\bs_dura.sav'
  /BREAK=hogar
  /v.equip1 'Valor de uso de bienes duraderos' = SUM(v.equipo).
exe.

*********************************************************************.
************* FIN ******** FIN ************** FIN *****************.

get file 'C:\PANAMA08\Consumo\\bs_dura.sav'.


erase file 'C:\PANAMA08\Consumo\\aggr0.sav'.
erase file 'C:\PANAMA08\Consumo\\aggr1.sav'.
erase file 'C:\PANAMA08\Consumo\\aggr2.sav'.
erase file 'C:\PANAMA08\Consumo\\aggr3.sav'.

