



***  file  =  C:\PANAMA08\Consumo\09_agrega_indice_geogra_08.sps    .


***Corrido con SPSS 17 en:   0  minutos    24  segundos  .


****************************************************************************************************.
*****************Construccion del Indice de precio regional y del Agregado de Consumo*.
****************************************************************************************************.
**************************************************************.
******* Indice de precios geograficos*****.
**********************************************.
*******alimentos_temp.sav contiene precios por producto por hogar. Este archivo se genera en 02_alimentos.sps*.
*.

get file 'C:\PANAMA08\Consumo\alimentos_temp.sav' .
if ((producto>=1 & producto<=6) or producto=8 or producto=9 or (producto>=11 & producto<=22) or (producto>=24 & producto<=28) or producto=31 or producto=34 or producto=36) canasta=1.
if ((producto>=38 & producto<=52) or (producto>=54 & producto<=59) or (producto>=61 & producto<=63) or producto=65 or producto=66 or producto=69) canasta=1.
recode canasta (MISSING=0).
exe.
select if (canasta=1).
sort cases by HOGAR.

comp precio0=precio0* 1.
exe.
weight by factor.

AGGREGATE
  /OUTFILE='C:\PANAMA08\Consumo\index0.sav'
  /BREAK= prov area producto
  /precio2=MEDIAN(precio0).
AGGREGATE
  /OUTFILE='C:\PANAMA08\Consumo\index1.sav'
  /BREAK= prov area producto
  /cant_nac=sum(cant_pp) .

get file 'C:\PANAMA08\Consumo\index0.sav'.
MATCH FILES /FILE=*
  /file='C:\PANAMA08\Consumo\index1.sav'
  /BY  prov area producto.
EXECUTE.
sort cases by producto.
MATCH FILES /FILE=*
  /TABLE='C:\PANAMA08\Consumo\precios_pp1.sav'
  /BY  producto.
EXECUTE.

comp ind_reg= cant_nac* precio2.
comp ind_nac= cant_nac* precio1.
exe.
AGGREGATE
  /OUTFILE='C:\PANAMA08\Consumo\index_2.sav'
  /BREAK= prov area 
  /indT_reg=sum(ind_reg) 
  /indT_nac=sum(ind_nac) .

get file 'C:\PANAMA08\Consumo\index_2.sav'.
comp indice=indT_reg/indT_nac.
exe.
freq indice.
sort cases by prov area.
save outfile 'C:\PANAMA08\Consumo\indexF.sav' / keep prov area indice .

*******Agregado de Consumo*****.
**************************************.
**************************************.
get file 'C:\PANAMA08\Consumo\bs_dura.sav'.
MATCH FILES /FILE=*
  /file='C:\PANAMA08\Consumo\vivienda_08.sav' 
  /file='C:\PANAMA08\Consumo\alimen_ppT.sav'
  /file='C:\PANAMA08\Consumo\educa.sav'
  /file='C:\PANAMA08\Consumo\salud_p.sav' 
  /file='C:\PANAMA08\Consumo\g08_otros1.sav'
  /BY  HOGAR.
EXECUTE.
MATCH FILES /FILE=*
  /file='C:\PANAMA08\Consumo\g08_otros2.sav'
  /file='C:\PANAMA08\Consumo\g08_otros3.sav'
  /file='C:\PANAMA08\Consumo\g08_serv_1.sav'
  /file='C:\PANAMA08\Consumo\g08_otros.sav'
  /BY  HOGAR.
EXECUTE.

MATCH FILES /FILE=*
  /file='C:\PANAMA08\Consumo\temp_sega.sav'
   /BY  HOGAR.
EXECUTE.

sort cases by prov (A) area (A).

MATCH FILES /FILE=*
  /table='C:\PANAMA08\Consumo\indexF.sav'
  /BY  prov area.
EXECUTE.

**********************************************************************************************.
*** Estimacion del pago a seguro de salud a partir de las contribuciones a la CSS.
**********************************************************************************************.
comp salu_css=(.5/8)*CSST.
exe.
*****************************************************.
**********Grupos de consumo *******************.
*****************************************************.
comp alim_08=sum(al_eduT,alim_H,alim_pp1).
comp educ_08=educT.
*comp salu_08=sum(salu1,salu11b3,salud_pT,salu_css).
comp salu_08=sum(salu1,salu11b3,salu_css).
comp scon_08=sum(serv1,serv2,serv3,serv_a).
comp dura_08=v.equip1.
comp tran_08=sum(trans0,trans1).
comp rent_08=rent_tot.
comp ener_08=energ.
comp shog_08=servhog1.
comp trfe_08=sum(otros1,otros_pp).
exe.

***AGREGARLE LA VARIABLE DE INDICE TEMPORAL .


SORT CASES BY hogar(A).

MATCH FILES /FILE=*
  /TABLE='C:\PANAMA08\DATOS\02HOGAR.sav'
  /RENAME (ali_i08C area cons_pc consumo correg decil distrito dura_i08 educ_i08 ener_i08  
    factor3 formula indice LPE LPT n_m pobreza prov rent_i08 s1b17 s1b18 s1b19 s1b19_o s1b20 s1b21 
    s1b22 s1b23 s1b24 s1b24a s1b25 s1b25a s1b26 s1b26_o s1b27 s1b28 s1b28a s1b29 s1b30 s1b31 s1b32 
    s1b33 s1b33o s1b34 s1b35 s1b35_o s1b36a s1b36b s1b37 s1b38 s1b39 s1b39a1 s1b39a2 s1b40aa s1b40ab 
    s1b40ac s1b40ba s1b40bb s1b40bc s1b40ca s1b40cb s1b40cc s1b40da s1b40dc s1b40ea s1b40ec salu_i08 
    scon_i08 shog_i08 tran_i08 trfe_i08 upm vivienda = d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 
    d14 d15 d16 d17 d18 d19 d20 d21 d22 d23 d24 d25 d26 d27 d28 d29 d30 d31 d32 d33 d34 d35 d36 d37 d38 
    d39 d40 d41 d42 d43 d44 d45 d46 d47 d48 d49 d50 d51 d52 d53 d54 d55 d56 d57 d58 d59 d60 d61 d62 d63 
    d64 d65 d66 d67 d68 d69 d70 d71 ) 
  /BY hogar
  /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19 d20 d21 d22 d23 d24 
    d25 d26 d27 d28 d29 d30 d31 d32 d33 d34 d35 d36 d37 d38 d39 d40 d41 d42 d43 d44 d45 d46 d47 d48 d49 
    d50 d51 d52 d53 d54 d55 d56 d57 d58 d59 d60 d61 d62 d63 d64 d65 d66 d67 d68 d69 d70 d71 .
EXECUTE.

**************************************************************************************************.
******* Imputacion de monto gastado en alimentos ***.
**************************************************************.

comp c_no_ali=sum(educ_08,salu_08,scon_08,dura_08,tran_08,rent_08,ener_08,shog_08,trfe_08).
exe.

RANK VARIABLES=c_no_ali (A) by AREA
  /RANK
  /NTILES(30)
  /PRINT=YES
  /TIES=MEAN.
aggregate /outfile='C:\PANAMA08\Consumo\aggr1.sav' / break Nc_no_al /alim_S=sum(alim_08) /Nalim_S=sum(c_no_ali).
sort cases by Nc_no_al.
MATCH FILES /FILE=*  /table='C:\PANAMA08\Consumo\aggr1.sav'  /BY  Nc_no_al.
EXECUTE.
sort cases by HOGAR.

comp ratio=alim_S/Nalim_S.
comp alim_08C=alim_08.
if (missing(alim_08)=1) alim_08C=c_no_ali*ratio.
exe.

comp ali_i08C=(alim_08C/indice)*ind_temp.
EXECUTE .

comp educ_i08=(educ_08/indice)*ind_temp.
comp salu_i08=(salu_08/indice)*ind_temp.
comp scon_i08=(scon_08/indice)*ind_temp.
comp dura_i08=(dura_08/indice)*ind_temp.
comp tran_i08=(tran_08/indice)*ind_temp.
comp rent_i08=(rent_08/indice)*ind_temp.
comp ener_i08=(ener_08/indice)*ind_temp.
comp shog_i08=(shog_08/indice)*ind_temp.
comp trfe_i08=(trfe_08/indice)*ind_temp.
exe.
variable label ali_i08C 'Alimentos'.
variable label educ_i08 'Educacion'.
variable label salu_i08 'Salud'.
variable label scon_i08 'Serv.Consumo'.
variable label dura_i08 'Bs. durables'.
variable label tran_i08 'Transporte'.
variable label rent_i08 'Renta y valor de uso de la vivienda'.
variable label ener_i08 'Energia'.
variable label shog_i08 'Serv. del hogar: Agua. Telfono y basura'.
variable label trfe_i08 'Transferencias'.
exe. 

COMPUTE consumo=sum(ali_i08C,educ_i08,salu_i08,scon_i08,dura_i08,tran_i08,rent_i08,ener_i08,shog_i08,trfe_i08).
COMPUTE cons_pc=consumo/n_m.
exe.
variable label consumo 'Consumo total del hogar indexado a junio 08'.
variable label cons_pc 'Consumo percapita del hogar indexado a junio 08'.
exe.

***********************************************.
sort cases by UPM.

comp factor3=factor*n_m.
exe.

weight by factor3.

RANK VARIABLES=cons_pc (A)
  /RANK             /NTILES(10)
  /PRINT=YES   /TIES=MEAN.

COMPUTE  decil= Ncons_pc.
exe.

save outfile 'C:\PANAMA08\Consumo\deciles.sav' / keep HOGAR decil .

***********************************************.

weight off.
sort cases by HOGAR.

format ind_temp (f8.4).

AUTORECODE VARIABLES=ind_temp 
  /INTO mes
  /PRINT.

value labels mes 5 "Mayo"  6 "Junio" 7 "Julio"  8 "Agosto" .

Variable label mes "Mes en que se levant la encuesta (1a. parte)" .
Variable label decil "Decil de consumo per cpita" .

save outfile 'C:\PANAMA08\Consumo\consumo.sav' / keep 
UPM HOGAR area 
ali_i08C educ_i08 salu_i08 scon_i08 dura_i08 tran_i08 rent_i08 ener_i08 shog_i08 trfe_i08 
   consumo cons_pc n_m indice ind_temp factor factor3 decil mes .

get file 'C:\PANAMA08\Consumo\consumo.sav' .

***********************************************.



