


***  file  =  C:\PANAMA08\Consumo\11_ingreso_08.sps    .



***Corrido con SPSS 17 en:   0  minutos     4  segundos  .

****************************************************************************************************.
*****************Construccion del Agregado de Ingreso*.
****************************************************************************************************.
*****************Agregado de ingreso 08*.
****Incoporando los ingresos agropecuarios de la seccion 13 a la secc 7 de actividad economica.

get file 'C:\PANAMA08\Consumo\pobreza.sav' .
execute.

***Al archivo de variables agregadas de consumo se le adicionan las variables agregadas de ingreso****.

sort cases by hogar.
MATCH FILES /FILE=*
  /file='C:\PANAMA08\Consumo\fa-2.sav' 
  /file='C:\PANAMA08\Consumo\laboral.sav'
  /file='C:\PANAMA08\Consumo\vivienda_08.sav'
  /file='C:\PANAMA08\Consumo\educa.sav'
  /file='C:\PANAMA08\Consumo\salud_p.sav' 
  /file='C:\PANAMA08\Consumo\otros_ing_mon.sav'
  /BY  hogar.
EXECUTE.

comp i_lab_08=sum(sT.naT,sT.aT,sT.1.naT,sT.1.aT,nT.naT,ing_agro).
exe.
***********************************.
***********************************.
*********Ingresos no laborales.
comp i_d_08=ointdivT.
comp a_r_08=sum(otr_alqT,rent_imp).
comp d_i_08=sum(ayudas1T,odona_iT,al_edut,bec_ingt,sal_alT) .
comp d_p_08=sum(ayudas2T,odona_aT).
comp p_i_08=sum(o_pens_T,pensionT).
comp otros_08=otr_T.
exe.
***********************************************.
comp iagr_i08=(ing_agro/indice)*ind_temp.
comp s.na_i08=(sT.naT/indice)*ind_temp.
comp s.a_i08=(sT.aT/indice)*ind_temp.
comp s1na_i08=(sT.1.naT/indice)*ind_temp. 
comp s1a_i08=(sT.1.aT/indice)*ind_temp. 
comp n.na_i08=(nT.naT/indice)*ind_temp. 
comp n.a_i08=(nT.aT/indice)*ind_temp.
exe.

comp ilab_i08=(i_lab_08/indice)*ind_temp.
comp i_d_i08=(i_d_08/indice)*ind_temp.
comp a_r_i08=(a_r_08/indice)*ind_temp.
comp d_i_i08=(d_i_08/indice)*ind_temp.
comp d_p_i08=(d_p_08/indice)*ind_temp.
comp p_i_i08=(p_i_08/indice)*ind_temp.
comp ot_i08=(otros_08/indice)*ind_temp.
exe.
variable label ilab_i08 'Ingreso Laboral'.
variable label i_d_i08 'Intereses y Dividendos'.
variable label a_r_i08 'Arriendo recibido y Valor de uso de la vivienda'.
variable label d_i_i08 'Donacion de instituciones'.
variable label d_p_i08 'Donacion de familiares y amigos'.
variable label p_i_i08 'Pensiones e indemnizaciones'. 
variable label ot_i08 'Otros'.
exe.
comp ingreso=sum(ilab_i08,i_d_i08,a_r_i08,d_i_i08,d_p_i08,p_i_i08,ot_i08).
comp ingr_pc=ingreso/n_m.
exe.
variable label ingreso 'Ingreso total del hogar indexado a junio 08'.
variable label ingr_pc 'Ingreso percapita del hogar indexado a junio 08'.
exe.

***********************************************.

RECODE ali_i08C educ_i08 salu_i08 scon_i08 dura_i08 tran_i08 rent_i08 ener_i08 shog_i08 trfe_i08 
    consumo cons_pc ilab_i08 i_d_i08 a_r_i08 d_i_i08 d_p_i08 p_i_i08 ot_i08 ingreso ingr_pc s.na_i08 
    s.a_i08 s1na_i08 s1a_i08 n.na_i08 n.a_i08 iagr_i08 (SYSMIS=0).
EXECUTE.

FILTER OFF.
USE ALL.
SELECT IF (factor3 > 0).
EXECUTE.

***Para los casos que no dieron ninguna informacin sobre el ingreso utilizar el valor del
***consumo como el mejor estimado que podemos obtener.

IF  (ingreso = 0) ingreso=consumo.
EXECUTE.

IF  (ingr_pc = 0) ingr_pc=cons_pc.
EXECUTE.

weight off.
sort cases by hogar.

Variable labels hogar "Identificador nico de cada hogar".
Variable labels area"rea urbana, rural o indgena".
Variable labels cons_pc "Consumo anual percapita del hogar indexado a junio 08".
Variable labels LPEf "Lnea de pobreza extrema".
Variable labels LPTf "Lnea de pobreza general".
Variable labels pobreza"Clasificacin de pobreza (3 grupos)".
Variable labels ingr_pc "Ingreso anual percapita del hogar indexado a junio 08".
Variable labels n_m "Nmero de miembros por hogar".
Variable labels indice"ndice geogrfico por diferencia de precios (divisor)".
Variable labels ind_temp "ndice temporal con base Junio 2008 (multiplicador)".
Variable labels factor "Factor de Expansin".
Variable labels factor3"(Factor de Expansin) (Tamao del hogar)".

save outfile 'C:\PANAMA08\Consumo\pobreza1.sav' / keep 
 hogar area MES
ali_i08C educ_i08 salu_i08 scon_i08 dura_i08 tran_i08 rent_i08 ener_i08 shog_i08 trfe_i08 consumo cons_pc decil LPEf LPTf pobreza 
ilab_i08 i_d_i08 a_r_i08 d_i_i08 d_p_i08   p_i_i08 ot_i08 ingreso ingr_pc s.na_i08 s.a_i08 s1na_i08 s1a_i08 n.na_i08 n.a_i08 iagr_i08 n_m indice ind_temp factor factor3.

****************************************.

get file 'C:\PANAMA08\Consumo\pobreza1.sav' .

WEIGHT BY factor3.

DESCRIPTIVES VARIABLES=hogar area cons_pc LPEf LPTf pobreza ingr_pc n_m indice ind_temp factor 
    factor3
  /STATISTICS=MEAN.


FREQUENCIES VARIABLES=decil pobreza ingr_pc
  /ORDER=ANALYSIS.
 




